function A = vertices_faces_adjacency_matrix(Tri)

  n = max(Tri(:));
  t = length(Tri);
  A = sparse(...
    [(1:t)', (1:t)', (1:t)'],...
    Tri, ...
    1.0/3.0,...
    t, n);

endfunction
